Return to Download page

Minimum System Requirements

Note: Tachomaster uses the Microsoft .NET 4.0 Framework


Mac OS X and Linux